Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ColorModelConversions Class Reference

A class that defines static conversions between color models for single pixels. More...

`#include <ColorModelConversions.h>`

List of all members.

## Static Public Member Functions
void | fromYCbCrToRGB (unsigned char Y, unsigned char Cb, unsigned char Cr, unsigned char &R, unsigned char &G, unsigned char &B)
| Converts an YCbCr pixel into an RGB pixel.
void | fromRGBToYCbCr (unsigned char R, unsigned char G, unsigned char B, unsigned char &Y, unsigned char &Cb, unsigned char &Cr)
| Converts an RGB pixel into an YCbCr pixel.
void | fromYCbCrToHSI (unsigned char Y, unsigned char Cb, unsigned char Cr, unsigned char &H, unsigned char &S, unsigned char &I)
| Converts an YCbCr pixel into an HSI pixel.
void | fromHSIToYCbCr (unsigned char H, unsigned char S, unsigned char I, unsigned char &Y, unsigned char &Cb, unsigned char &Cr)
| Converts an HSI pixel into an YCbCr pixel.
void | fromYCbCrToTSL (unsigned char Y, unsigned char Cb, unsigned char Cr, unsigned char &T, unsigned char &S, unsigned char &L)
| Converts an YCbCr pixel into a TSL pixel.
void | fromTSLToYCbCr (unsigned char T, unsigned char S, unsigned char L, unsigned char &Y, unsigned char &Cb, unsigned char &Cr)
| Converts a TSL pixel into an YCbCr pixel.
void | fromTSLToRGB (unsigned char t, unsigned char s, unsigned char l, unsigned char &r, unsigned char &g, unsigned char &b)
| Converts a TSL pixel into an YCbCr pixel.

## Detailed Description

A class that defines static conversions between color models for single pixels.

Definition at line 15 of file ColorModelConversions.h.

## Member Function Documentation

void ColorModelConversions::fromYCbCrToRGB | ( | unsigned char | Y,
|  | unsigned char | Cb,
|  | unsigned char | Cr,
|  | unsigned char & | R,
|  | unsigned char & | G,
|  | unsigned char & | B
| ) | `[inline, static]`

  | Converts an YCbCr pixel into an RGB pixel. Parameters:
  Y | The Y channel of the source pixel.
  Cb | The Cb channel of the source pixel.
  Cr | The Cr channel of the source pixel.
  R | The R channel of the target pixel.
  G | The G channel of the target pixel.
  B | The B channel of the target pixel.
Definition at line 26 of file ColorModelConversions.h. References Y. Referenced by Image::convertFromYCbCrToRGB(), fromYCbCrToHSI(), VLCBallSpecialist::getSimilarityToOrange(), and GT2005BallSpecialist::getSimilarityToOrange().

void ColorModelConversions::fromRGBToYCbCr | ( | unsigned char | R,
|  | unsigned char | G,
|  | unsigned char | B,
|  | unsigned char & | Y,
|  | unsigned char & | Cb,
|  | unsigned char & | Cr
| ) | `[inline, static]`

  | Converts an RGB pixel into an YCbCr pixel. Parameters:
  R | The R channel of the source pixel.
  G | The G channel of the source pixel.
  B | The B channel of the source pixel.
  Y | The Y channel of the target pixel.
  Cb | The Cb channel of the target pixel.
  Cr | The Cr channel of the target pixel.
Definition at line 52 of file ColorModelConversions.h. References Y. Referenced by Image::convertFromRGBToYCbCr(), and fromHSIToYCbCr().

void ColorModelConversions::fromYCbCrToHSI | ( | unsigned char | Y,
|  | unsigned char | Cb,
|  | unsigned char | Cr,
|  | unsigned char & | H,
|  | unsigned char & | S,
|  | unsigned char & | I
| ) | `[inline, static]`

  | Converts an YCbCr pixel into an HSI pixel. Parameters:
  Y | The Y channel of the source pixel.
  Cb | The Cb channel of the source pixel.
  Cr | The Cr channel of the source pixel.
  H | The H channel of the target pixel.
  S | The S channel of the target pixel.
  I | The I channel of the target pixel.
Definition at line 78 of file ColorModelConversions.h. References fromYCbCrToRGB(), I, pi2, and Y. Referenced by Image::convertFromYCbCrToHSI().

Here is the call graph for this function:

void ColorModelConversions::fromHSIToYCbCr | ( | unsigned char | H,
|  | unsigned char | S,
|  | unsigned char | I,
|  | unsigned char & | Y,
|  | unsigned char & | Cb,
|  | unsigned char & | Cr
| ) | `[inline, static]`

  | Converts an HSI pixel into an YCbCr pixel. Parameters:
  H | The H channel of the source pixel.
  S | The S channel of the source pixel.
  I | The I channel of the source pixel.
  Y | The Y channel of the target pixel.
  Cb | The Cb channel of the target pixel.
  Cr | The Cr channel of the target pixel.
Definition at line 121 of file ColorModelConversions.h. References fromRGBToYCbCr(), I, pi2, and Y. Referenced by Image::convertFromHSIToYCbCr().

Here is the call graph for this function:

void ColorModelConversions::fromYCbCrToTSL | ( | unsigned char | Y,
|  | unsigned char | Cb,
|  | unsigned char | Cr,
|  | unsigned char & | T,
|  | unsigned char & | S,
|  | unsigned char & | L
| ) | `[inline, static]`

  | Converts an YCbCr pixel into a TSL pixel. Parameters:
  Y | The Y channel of the source pixel.
  Cb | The Cb channel of the source pixel.
  Cr | The Cr channel of the source pixel.
  T | The T channel of the target pixel.
  S | The S channel of the target pixel.
  L | The L channel of the target pixel.
Definition at line 179 of file ColorModelConversions.h. References Y. Referenced by Image::convertFromYCbCrToTSL().

void ColorModelConversions::fromTSLToYCbCr | ( | unsigned char | T,
|  | unsigned char | S,
|  | unsigned char | L,
|  | unsigned char & | Y,
|  | unsigned char & | Cb,
|  | unsigned char & | Cr
| ) | `[inline, static]`

  | Converts a TSL pixel into an YCbCr pixel. Parameters:
  T | The T channel of the source pixel.
  S | The S channel of the source pixel.
  L | The L channel of the source pixel.
  Y | The Y channel of the target pixel.
  Cb | The Cr channel of the target pixel.
  Cr | The Cr channel of the target pixel.
Definition at line 225 of file ColorModelConversions.h. References pi, and Y.

void ColorModelConversions::fromTSLToRGB | ( | unsigned char | t,
|  | unsigned char | s,
|  | unsigned char | l,
|  | unsigned char & | r,
|  | unsigned char & | g,
|  | unsigned char & | b
| ) | `[inline, static]`

  | Converts a TSL pixel into an YCbCr pixel. Parameters:
  T | The T channel of the source pixel.
  S | The S channel of the source pixel.
  L | The L channel of the source pixel.
  Y | The Y channel of the target pixel.
  Cb | The Cr channel of the target pixel.
  Cr | The Cr channel of the target pixel.
Definition at line 258 of file ColorModelConversions.h.

The documentation for this class was generated from the following file:

- Modules/ImageProcessor/ImageProcessorTools/ColorModelConversions.h